0
0 комментариев

Python 3.8, Pyown 2.10.0,

import pyowm
 owm = pyowm.OWM('e109274f4bb502e19a53dfb2f10b83c4', language = "ru")
 place = input("В каком городе вас интересует погода?: ")
 observation = owm.weather_at_place(place)
w = observation.get_weather()
 temp = w.get_temperature('celsius')["temp"]
 temp1 = w.get_wind()
 print( "В городе " + place + " сейчас " + w.get_detailed_status())
print("Ветер сейчас " + str(temp1))
print( "Температура сейчас в районе " + str(temp))
 if temp < 10:
 print("Валенки и ушанка ждут нас Комрад")
elif temp < 20:
 print("Чуть лучше но ушанку не снимай")
else:
 print("Можешь одеть что-нибудь по легче, но не забывай про ветер")
 input()

Вот что выдает при выводе в cmd

В каком городе вас интересует погода?: Moscow
Traceback (most recent call last):
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 665, in urlopen
httplib_response = self._make_request(
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 421, in _make_request
six.raise_from(e, None)
File «<string>», line 3, in raise_from
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 416, in _make_request
httplib_response = conn.getresponse()
File «D:\Python\lib\http\client.py», line 1322, in getresponse
response.begin()
File «D:\Python\lib\http\client.py», line 303, in begin
version, status, reason = self._read_status()
File «D:\Python\lib\http\client.py», line 264, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), «iso-8859-1»)
File «D:\Python\lib\socket.py», line 669, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [WinError 10054] Удаленный хост принудительно разорвал существующее подключение

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File «D:\Python\lib\site-packages\requests\adapters.py», line 439, in send
resp = conn.urlopen(
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 719, in urlopen
retries = retries.increment(
File «D:\Python\lib\site-packages\urllib3\util\retry.py», line 400, in increment
raise six.reraise(type(error), error, _stacktrace)
File «D:\Python\lib\site-packages\urllib3\packages\six.py», line 734, in reraise
raise value.with_traceback(tb)
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 665, in urlopen
httplib_response = self._make_request(
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 421, in _make_request
six.raise_from(e, None)
File «<string>», line 3, in raise_from
File «D:\Python\lib\site-packages\urllib3\connectionpool.py», line 416, in _make_request
httplib_response = conn.getresponse()
File «D:\Python\lib\http\client.py», line 1322, in getresponse
response.begin()
File «D:\Python\lib\http\client.py», line 303, in begin
version, status, reason = self._read_status()
File «D:\Python\lib\http\client.py», line 264, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), «iso-8859-1»)
File «D:\Python\lib\socket.py», line 669, in readinto
return self._sock.recv_into(b)
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, ConnectionResetError(10054, ‘Удаленный хост принудительно разорвал существующее подключение’, None, 10054, None))

Подскажите на будущее что можно почитать, чтобы не беспокоить умных людей и самому решать подобные проблемы. Заранее спасибо!


Добавить комментарий